QGIS Application - Bug report #14593
Saving project file from print composer should keep the composer dialog foreground
2016-03-31 02:18 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22561
Description

When you save the project file, it pops-up a message box with information about last save. This message always appear in the center of
the map view meaning that when you use the "Save project" button from a print composer view, it pushes this dialog in the background, in
favor of the main interface.

It should pop-up inside the print composer or once the user make his choice, get back the opened composer.

History

#1 - 2016-04-09 08:50 AM - Giovanni Manghi
- Status changed from Open to Feedback

feature request?

#2 - 2016-04-09 12:34 PM - Harrissou Santanna

Not sure. The problem is that you could save the project from the print composer interface and keep working in the composer. Now saving the project pops
up a message box and it seems that the parent of this message box is the main interface of QGIS so you loose the focus on the composer. The message
box breaks the previous behaviour so it's a bug imo.

#3 - 2016-05-21 11:23 AM - Giovanni Manghi
- Status changed from Feedback to Open

#4 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
